<?php

namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DB\StorageProcedure\Param;

class AlmoxarifadoLojaController extends CrudWithParameterBag {

    protected $dataSourceName = 'select_almoxarifado';
    protected $parameterBagColumns = array('CDFILIAL', "CDALMOXARIFE", 'NRORG');
    
    public function __construct (Manager $dataSourceManager, ParameterBag $parameterBag) {
        parent::__construct($dataSourceManager, $parameterBag);
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = 'select_almoxarifado';
        parent::find($request, $response);
    }
}
